Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.dataLayer.calculations
Class State

    java.lang.Object
      pipe.dataLayer.calculations.State

Direct Known Subclasses:
  Marking, VanishingState

    public class State

extends java.lang.Object

Constructor Summary
`State(int[] new_state)`
`State(State new_state)`

Method Summary
`boolean` | `equals(State test)` equals() Overloads the Object.equals() method.
`int[]` | `getState()`
`int` | `hashCode()` hashCode() This overrides the Object.hashCode() method.
`int` | `hashCode2()` hashCode2() This is an extra hashing function used for collision resolution.
`void` | `setState(int[] new_state)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### State

    public State(int[] new_state)

### State

    public State(State new_state)

Method Detail

### setState

    public void setState(int[] new_state)

### getState

    public int[] getState()

### equals

    public boolean equals(State test)

  equals() Overloads the Object.equals() method. Tests the supplied state object parameter to see if it represents exactly the same state as this object. Returns true if and only if the arrays containing the states are the same length and contain the same values at the same element indices.

  Parameters:
    `test` - The state object to be compared to this one
  Returns:

### hashCode

    public int hashCode()

  hashCode() This overrides the Object.hashCode() method.

  Overrides:
    `hashCode` in class `java.lang.Object`

### hashCode2

    public int hashCode2()

  hashCode2() This is an extra hashing function used for collision resolution. If both the original hashcode and this hashcode match that of another state object, then they are very probably the same state.

  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD